org.eclipse.viatra.query.runtime.rete.recipes

## Interface MonotonicityInfo

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    MonotonicityInfoImpl

      public interface MonotonicityInfo
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Monotonicity Info'.

  The following features are supported:

  - `Core Mask`
  - `Poset Mask`
  - `Poset Comparator`
  See Also:
    `RecipesPackage.getMonotonicityInfo()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mask` | `getCoreMask()` Returns the value of the 'Core Mask' containment reference.
    `java.lang.Object` | `getPosetComparator()` Returns the value of the 'Poset Comparator' attribute.
    `Mask` | `getPosetMask()` Returns the value of the 'Poset Mask' containment reference.
    `void` | `setCoreMask(Mask value)` Sets the value of the '`Core Mask`' containment reference.
    `void` | `setPosetComparator(java.lang.Object value)` Sets the value of the '`Poset Comparator`' attribute.
    `void` | `setPosetMask(Mask value)` Sets the value of the '`Poset Mask`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCoreMask

          Mask getCoreMask()

      Returns the value of the 'Core Mask' containment reference.

      If the meaning of the 'Core Mask' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Core Mask' containment reference.
      See Also:
        `setCoreMask(Mask)`, `RecipesPackage.getMonotonicityInfo_CoreMask()`
      Generated:
      Model:
        containment="true"

    - #### setCoreMask

          void setCoreMask(Mask value)

      Sets the value of the '`Core Mask`' containment reference.
      Parameters:
        `value` - the new value of the 'Core Mask' containment reference.
      See Also:
        `getCoreMask()`
      Generated:

    - #### getPosetMask

          Mask getPosetMask()

      Returns the value of the 'Poset Mask' containment reference.

      If the meaning of the 'Poset Mask' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Poset Mask' containment reference.
      See Also:
        `setPosetMask(Mask)`, `RecipesPackage.getMonotonicityInfo_PosetMask()`
      Generated:
      Model:
        containment="true"

    - #### setPosetMask

          void setPosetMask(Mask value)

      Sets the value of the '`Poset Mask`' containment reference.
      Parameters:
        `value` - the new value of the 'Poset Mask' containment reference.
      See Also:
        `getPosetMask()`
      Generated:

    - #### getPosetComparator

          java.lang.Object getPosetComparator()

      Returns the value of the 'Poset Comparator' attribute.

      If the meaning of the 'Poset Comparator' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Poset Comparator' attribute.
      See Also:
        `setPosetComparator(Object)`, `RecipesPackage.getMonotonicityInfo_PosetComparator()`
      Generated:
      Model:

    - #### setPosetComparator

          void setPosetComparator(java.lang.Object value)

      Sets the value of the '`Poset Comparator`' attribute.
      Parameters:
        `value` - the new value of the 'Poset Comparator' attribute.
      See Also:
        `getPosetComparator()`
      Generated: